*{
    margin: 0;
    padding: 0;
    font-family: 'Eastman', sans-serif;
    font-weight: bold;
}
.header{
    min-height: 100vh;
    width: 100%;
    background-image: linear-gradient(rgba(0, 0, 0, 0.7),rgba(0, 0, 0, 0.7)),url(images/banner.png);
    background-position: center; 
    background-size: cover;
    position: relative;
    z-index: 2000;
}
.back-video{
    position: absolute;
    right: 0;
    bottom: 0;
    z-index: -1;
}
nav{
    display: flex;
    padding: 2% 6%;
    justify-content: space-between;
    align-items: center;
}
nav img{
    width: 300px;  
}
.nav-links{
    flex:1;
    text-align: right;
    
}
.nav-links ul li{
    list-style: none;
    display: inline-block;
    padding: 8px 12px;
    position: relative;
}
.nav-links ul li a{
    color: #fff;
    text-decoration: none;
    font-size: 25 px;
}
.nav-links ul li::after{
    content: '';
    width: 0%;
    height: 2px;
    background: #ffffff;
    display: block;
    margin: auto;
    transition: 0.5s;
}
.nav-links ul li:hover::after{
    width: 100%;
}
.text-box{
    width: 90%;
    color: #fff;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    text-align: center;
}
.text-box h1{
    font-size: 62px;
}
.text-box p{
    margin: 10px 0 40px;
    font-size: 20px;
    color: #fff;    
}
.hero-btn{
    display: inline-block;
    text-decoration: none;
    color: #fff;
    border: 1px solid #fff;
    padding: 12px 34px;
    font-size: 13px;
    background: transparent;
    /* position: relative;
    cursor: pointer; */
}
.hero-btn:hover{
    border: 1px solid #ffffff;
    background: #000000;
    transition: 1s;
}

nav .fa{
    display: none;
}

@media(max-width: 700px){
    .text-box h1{
    font-size: 20px;
    }
    .nav-links ul li{
        display: block;
    }
    .nav-links{
        position: fixed;
        background: #3d3d3d;
        height: 100vh;
        width: 200px;
        top: 0;
        right: -200px;
        text-align: left;
        z-index: 2;
        transition: 1s;
        background-image: linear-gradient(rgba(0, 0, 0, 0.7),rgba(0, 0, 0, 0.7)),url(images/buildse.jpg);
        -webkit-filter: grayscale(100%);
        filter: grayscale(100%); 
    }
    nav .fa{
        display: block;
        color: #fff;
        margin: 10px;
        font-size: 22px;
        cursor: pointer;
    }
    nav-links ul{
        padding: 30px;
    }
}

/*------ offer ------*/

.offer{
    width: 80%;
    margin: auto;
    text-align: center;
    padding-top: 100px;
}
h1{
    font-size: 50px;
    font-weight: 600;
}

p{
    color: #000000;
    font-size: 18px;
    font-weight: 300;
    line-height: 22px;
    padding: 10px;  
}

.row{
    margin-top: 5%;
    display: flex;
    justify-content: space-between;
}

.roww{
    margin-top: 5%;
    display: flex;
    justify-content: center;
}

.offer-col{
    flex-basis: 31%;
    background: #d8d8d8;
    border-radius: 10px;
    margin-bottom: 5%;
    padding: 20px 12px;
    box-sizing: border-box;
    transition: 0.5s;
}
h3{
    text-align: center;
    font-weight: 600;
    margin: 10px 0;
}
.offer-col:hover{
    box-shadow: 0 0 20px 0px rgba(0,0,0,0.2);
}
@media(max-width: 700px){
    .row{
        flex-direction: column;
    }
}

/*-------- buildings -------*/

.building{
    width: 80%;
    margin: auto;
    text-align: center;
    padding-top: 50px;
}
.building-col{
    flex-basis: 32%;
    border-radius: 10px;
    margin-bottom: 30px;
    position: relative;
    overflow: hidden;
}
/* .building-col img{
    width: 100%;
    display: block;
    
} */
.building-col img{
    -webkit-transition: 2s;
    -moz-transition: 2s;
    -ms-transition: 2s;
    -o-transition: 2s;
    transition: 2s;
    -webkit-filter: grayscale(100%);
    filter: grayscale(100%);
}
.building-col img:hover{
    -webkit-transition: 2s;
    -moz-transition: 2s;
    -ms-transition: 2s;
    -o-transition: 2s;
    transition: 2s;
    -webkit-filter: grayscale(0%);
    filter: grayscale(0%);
}
.layer{
    -webkit-transition: 2s;
    -moz-transition: 2s;
    -ms-transition: 2s;
    -o-transition: 2s;
    transition: 2s;
    -webkit-filter: grayscale(0%);
    filter: grayscale(0%);
     
}
.layer:hover{
    background: rgba(85, 85, 85, 0.7);
}
.layer h3{
    width: 100%;
    font-weight: 500;
    color: #fff;
    font-size: 26px;
    bottom: 0;
    left: 50%;
    transform: translateX(-50%);
    position: absolute;
    opacity: 0;
    transition: 0.5s;
}
.layer:hover h3{
    bottom: 49%;
    opacity: 1;
}

/*--------- facilities -------*/

.facilities{
    width: 80%;
    margin: auto;
    text-align: center;
    padding-top: 100px; 
}
.facilities-col{
    flex-basis: 31%;
    border-radius: 10px;
    margin-bottom: 5%;
    text-align: left;
}
.facilities-col img{
    width: 100%;
    border-radius: 10px;
}
.facilities-col h3{
    margin-top: 16px;
    margin-bottom: 15px;
    text-align: left;
}

/*------ testimonials -------*/

.testimonials{
    width: 80%;
    margin: auto;
    padding-top: 100px;
    text-align: center;
}
.testimonial-col{
    flex-basis: 44%;
    border-radius: 10px;
    margin-bottom: 5%;
    text-align: left;
    background: #d8d8d8;
    padding: 25px;
    cursor: pointer;
    display: flex;
}
.testimonial-col img{
    height: 40px;
    margin-left: 5px;
    margin-right: 30px;
    border-radius: 50%;
}
.testimonial-col p{
    padding: 0;
}
.testimonial-col h3{
    margin-top: 15px;
    text-align: left;
    
}
.testimonial-col .fa{
    color: #000000;
}
@media(max-width: 700px){
    .testimonial-col img{
        margin-left: 0px;
        margin-right: 15px;
    }
}

/*------- Call to action ------*/

.cta{
    margin: 100px auto;
    width: 80%;
    background-image: linear-gradient(rgba(0,0,0,0.7),rgba(0,0,0,0.7)),url(images/banner2.jpg);
    background-position: center;
    background-size: cover;
    border-radius: 10px;
    text-align: center;
    padding: 100px 0;
    -webkit-filter: grayscale(100%);
    filter: grayscale(100%);
    
    
}
.cta h1{
    color: #fff;
    margin-bottom: 40px;
    padding: 0;
}

@media(max-width: 700px){
    .cta h1{
        font-size: 24px;
    }
}

/*--------- Footer -------*/

.footer{
    width: 100%;
    text-align: center;
    padding: 30px 0;
}

.footer h4{
    margin-bottom: 25px;
    margin-top: 20px;
    font-weight: 600;
}
.icons .fa{
    color: #000000;
    margin: 0 13px;
    cursor: pointer;
    padding: 18px 0;
}

/* ---------- about us page ---------*/

.sub-header{
    height: 50vh;
    width: 100%;
    background-image: linear-gradient(rgba(0, 0, 0, 0.7),rgba(0, 0, 0, 0.7)),url(images/background.jpg);
    background-position: center;
    background-size: cover;
    text-align: center;
    color: #fff;
    -webkit-filter: grayscale(100%);
    filter: grayscale(100%);
}
.sub-header h1{
    margin-top: 100px;
    
}
.about-us{
    width: 80%;
    margin: auto;
    padding-top: 80px;
    padding-bottom: 50px; 
}
.about-col{
    flex-basis: 48%;
    padding: 30px 2px;
}
.about-col img{
    width: 100%;
    
}
.about-col h1{
    padding-top: 0;
}
.about-col p{
    padding: 15px 0 25px;
}

.red-btn{
    border: 1px solid #000000;
    background: transparent;
    color: #000000;
}

.red-btn:hover{
    color: #fff;
}
img{
    -webkit-transition: 2s;
    -moz-transition: 2s;
    -ms-transition: 2s;
    -o-transition: 2s;
    transition: 2s;
    -webkit-filter: grayscale(100%);
    filter: grayscale(100%);
}
img:hover{
    -webkit-transition: 2s;
    -moz-transition: 2s;
    -ms-transition: 2s;
    -o-transition: 2s;
    transition: 2s;
    -webkit-filter: grayscale(0%);
    filter: grayscale(0%);
}

/*---------- blog-content ---------*/

.blog-content{
    width: 80%;
    margin: auto;
    padding: 60px 0;
}
.blog-left{
    flex-basis: 65%;
}
.blog-left img{
    width: 100%;
}
.blog-left h2{
    color: #222;
    font-weight: 600;
    margin: 30px 0;
}
.blog-left p{
    color: #999;
    padding: 0;
}

.blog-right{
    flex-basis: 32%;
}
.blog-right h3{
    background: #000000;
    color: #fff;
    padding: 7px 0;
    font-size: 16px;
    margin-bottom: 20px;
}
.blog-right div{
    display: flex;
    align-items: center;
    justify-content: space-between;
    color: #555;
    padding: 8px;
    box-sizing: border-box;
    
}

.comment-box{
    border: 1px solid #ccc;
    margin: 50px 0;
    padding: 10px 20px;
}
.comment-box h3{
    text-align: left;
}
.comment-form input, .comment-form textarea{
    width: 100%;
    padding: 10px;
    margin: 15px 0;
    box-sizing: border-box;
    border: none;
    outline: none;
    background: #f0f0f0;
}
.comment-form button{
    margin: 10px 0;
}

@media(max-width:700px){
    .sub-header h1{
        font-size: 24px;
    }
}

/*-------- contact us page --------*/

.location{
    width: 80%;
    margin: auto;
    padding: 80px 0;
}
.location iframe{
    width: 100%;
}
.contact-us{
    width: 80%;
    margin: auto;
}
.contact-col{
    flex-basis: 48%;
    margin-bottom: 30px;
}
.contact-col div{
    display: flex;
    align-items: center;
    margin-bottom: 40px;
}
.contact-col div .fa{
    font-size: 28px;
    color: #000000;
    margin: 10px;
    margin-right: 30px;
}
.contact-col div p{
    padding: 0;
}
.contact-col div h5{
    font-size: 20px;
    margin-bottom: 5px;
    color: #555;
    font-weight: 400;
}
.contact-col input, .contact-col textarea{
    width: 100%;
    padding: 15px;
    margin-bottom: 17px;
    outline: none;
    border: 1px solid #ccc;
    box-sizing: border-box;
}



/* translate */
/* .change-lang {
            padding: 8px;
            font-size: 16px;
            border: 1px solid #ccc;
            border-radius: 4px;
            appearance: none;
            -webkit-appearance: none;
            -moz-appearance: none;
            background-color: #fff;
            cursor: pointer;
        }

        .change-lang:focus {
            outline: none;
            box-shadow: 0 0 5px rgba(0, 0, 0, 0.3);
        } */
        /* Styling for the dropdown button */
        .change-lang {
            padding: 5px 10px; /* Adjust padding as needed */
            font-size: 12px;
            border: 2px solid #ffffff65;
            border-radius: 50px;
            appearance: none;
            -webkit-appearance: none;
            -moz-appearance: none;
            background-color: #00000065;
            color: white;
            cursor: pointer;
            display: flex;
            justify-content: center;
            align-items: center;
        }
        
        .change-lang:focus,
        .change-lang:active {
            outline: none;
            box-shadow: 0 0 5px rgba(0, 0, 0, 0.3);
        }
        
        /* Styling for the dropdown options */
        .change-lang option {
            padding: 10px; /* Adjust padding as needed */
            font-size: 12px;
            background-color: #00000065;
            color: white;
        }
        
        /* Styling for the dropdown when it's open */
        .change-lang:focus option:checked {
            background-color: #ffffff65;
            color: black;
        }

        
/* Darkmode */
/* Style for the Darkmode.js widget button */
.darkmode-toggle {
    background-color: #333; /* Set your desired background color */
    border: none;
    padding: 5px; /* Adjust padding to make it smaller */
    border-radius: 50%;
    cursor: pointer;
    z-index: 1001; /* Set a higher z-index value */
    display: flex;
    align-items: center;
    justify-content: center;
}

/* Style for the Darkmode.js widget button image */
.darkmode-toggle img {
    width: 20px; /* Set the width of the image */
    height: 20px; /* Set the height of the image */
    border-radius: 50%; /* Ensure the image is circular */
}

.darkmode-toggle:hover {
    background-color: #555; /* Set your desired hover background color */
}

/* Style for the Darkmode.js widget overlay */
.darkmode-overlay {
    background-color: rgb(0, 0, 0); /* Set your desired overlay background color and opacity */
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 1000; /* Set a lower z-index value */
    display: none;
}

/* Style for the close button in the Darkmode.js widget overlay */
.darkmode-close {
    position: absolute;
    top: 10px;
    right: 10px;
    color: #fff; /* Set your desired close button color */
    cursor: pointer;
    z-index: 1001; /* Set a higher z-index value */
}

/* Style for the close button in the Darkmode.js widget overlay on hover */
.darkmode-close:hover {
    color: #ccc; /* Set your desired close button hover color */
}